v1.0.0
OpenAPI 3.1.0

Delete an email version

US region

Client Libraries

Delete an email version

Deletes a version. You can't delete a version that Design Studio created automatically during a publish.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the email. If your email has translations, this is the ID of a specific language variant.

  • version_id
    Type: string Format: uuid
    required

    The UUID of the version.

Responses
  • 204

    Version deleted

  • application/json
  • application/json
  • application/json
Request Example for delete/v1/design_studio/emails/{id}/versions/{version_id}
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/versions/123e4567-e89b-12d3-a456-426614174000 \
  --request DELETE
No Body